# log4cpp::Properties Class Reference

`#include <Properties.hh>`

List of all members.

## Public Member Functions

| Properties ()
virtual | ~Properties ()
virtual void | load (std::istream &in)
virtual void | save (std::ostream &out)
virtual int | getInt (const std::string &property, int defaultValue)
virtual bool | getBool (const std::string &property, bool defaultValue)
virtual std::string | getString (const std::string &property, const char *defaultValue)

## Protected Member Functions

virtual void | _substituteVariables (std::string &value)

## Constructor & Destructor Documentation

log4cpp::Properties::Properties | ( |  | ) |

log4cpp::Properties::~Properties | ( |  | ) | `[virtual]`

## Member Function Documentation

void log4cpp::Properties::load | ( | std::istream & | in | ) | `[virtual]`

void log4cpp::Properties::save | ( | std::ostream & | out | ) | `[virtual]`

int log4cpp::Properties::getInt | ( | const std::string & | property,
|  | int | defaultValue |
| ) |  |  | `[virtual]`

bool log4cpp::Properties::getBool | ( | const std::string & | property,
|  | bool | defaultValue |
| ) |  |  | `[virtual]`

std::string log4cpp::Properties::getString | ( | const std::string & | property,
|  | const char * | defaultValue |
| ) |  |  | `[virtual]`

void log4cpp::Properties::_substituteVariables | ( | std::string & | value | ) | `[protected, virtual]`

The documentation for this class was generated from the following files:

- Properties.hh
- Properties.cpp